Subject: RE: Proposed new 5.4.3 for arch draft

From: Alia Atlas <[email-masked]>
Date: Tue, 02 Mar 2004 21:09:44 -0500

At 08:52 PM 3/2/2004, Sasha Vainshtein wrote:
>Stewart and all,
>Basically fine, please see a couple of minor comments inline (marked
>[Sasha]).
>
>Regards,
>                  Sasha.
>... snipped ...
>
>5.4.3. PW Packets Aliasing IP Packets
>
>To allow accurate packet inspection in an MPLS PSN, and/or to operate
>correctly over MPLS PSNs that have deployed equal-cost multiple-path
>load-balancing (ECMP), a PW packet must not alias an IP packet.
>[Sasha] IMO it should be MUST NOT or, probably, SHOULD NOT.
>IP packets are carried in MPLS label stacks without any protocol
>identifier. The method of packet discrimination must therefore
>be based on some unique characteristic of the IP packet header,
>which PWE3 must not mimic.
>[Sasha] I honestly believe no one will ever propose verifying the cheksum
>[Sasha] of the first 20 bytes after the bottom label as "the unique
>[Sasha] characteristic of the IP packet header". But worse things have
>[Sasha] happened, so maybe we should explicitly block this.

The checksum is legitimate to consider as a verification, if one doesn't 
want to depend on just the first nibble.

Alia

>This is the subject of work in progress.
>
>-----------------------------------------------------
>
>
>9.  IANA considerations
>
>     IANA considerations will be identified in the PWE3 documents that
>     define the PWE3 encapsulation, control and management protocols.
>
>
>
>
>
>_______________________________________________
>pwe3 mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/pwe3
>
>_______________________________________________
>pwe3 mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/pwe3

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 02 Mar 2004 22:42:55 -0500

Sasha,

Even if someone is silly enough to propose that (especially since there's a 
1/64K chance that the checksum will match in a random 20-byte bit 
pattern:-), I really don't thing the WG would be silly enough to include it 
in a WG document.  But if you explicitly block this bad idea, people will 
ask why you don't explicitly block other bad ideas as well (and then 
proceed to spend their time thinking up other bad ideas to block).

I'm happy with the text as is

Cheers,
Andy

---------

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 03 Mar 2004 04:43:51 +0000

> [Sasha] IMO it should be MUST NOT or, probably, SHOULD NOT.

The draft is going to be informational, so no capitals. This needs
to get fixed in the rest of the document.

> [Sasha] happened, so maybe we should explicitly block this.

If we start to define the solution here, we risk delaying the
draft. My thought was to use the most open definition possible and
thereby minimise the debate, both here and at IESG review.

The checksum solution does not work - there is still the 1/64K chance
of a clash.

- Stewart